当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题][求助]软件索引已坏
帖子发表于 : 2008-06-20 16:38 

注册: 2008-06-03 11:03
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
如题,环境:ubuntu8.04
现在无法双击安装deb文件

双击后出现提示 软件索引已坏 这是您的软件管理系统的重大错误.请用新利得检查破损的软件包,检查'/etc/apt/sources.list'的权限和正确性,并用命令'sudo apt-get update'和'sudo apt-get install -f'重新载入软件包信息
(点击 应用程序——添加删除,也是这个错误提示)


打开新利得可以,检查破损软件包我试过了,也'sudo apt-get install -f'过了,结果还是这样,甚至都把 /var/lib/apt/list 里面的源更新列表删掉,然后换源更新,每次 #sudo apt-get update

读源列表100%以后,软件管理器却提示

出现错误,请右击菜单运行软件包管理器或在终端运行 apt-get 查看内容。错误信息为:'Error: Opening the cache(E:Opening /etc/apt/sources.list - ifstream::ifstream (13Permission denied),E:The list of sources could not be read.)'一般情况下,这表示你安装的软件包有些需要的程序未被安装。

看错误信息,应该是说更新源列表读取错误,可是我都试过无数次换源了(教育网)。一直解决不了这个问题,已经困扰我很久了

现在 无法安装deb后缀的文件,无法打开 添加/删除。 但是可以打开新利得


请朋友们说说该怎么做。遇到同样问题的朋友帮顶一下吧,不甚感激


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-06-20 16:39 

注册: 2008-05-27 3:54
帖子: 108
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install -f试试看
还不行再用sudo apt-get dist-upgrade


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-06-20 16:41 

注册: 2008-06-03 11:03
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
谢谢2楼

sudo apt-get install -f 试过了

我也是刚升级过了

还是这样

所以很困扰


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-06-20 16:54 

注册: 2008-06-03 11:03
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
顶..


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:00 

注册: 2008-05-27 3:54
帖子: 108
送出感谢: 0 次
接收感谢: 0 次
yysunny 写道:
谢谢2楼

sudo apt-get install -f 试过了

我也是刚升级过了

还是这样

所以很困扰

dist-upgrade 和upgrade效果是不同的
还有sudo aptitude dist-upgrade


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:07 

注册: 2008-06-03 11:03
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
extinguish 写道:
yysunny 写道:
谢谢2楼

sudo apt-get install -f 试过了

我也是刚升级过了

还是这样

所以很困扰

dist-upgrade 和upgrade效果是不同的
还有sudo aptitude dist-upgrade



试过了...
琢磨着还是暑假重装一次好了

郁闷了

谢谢你


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:07 

注册: 2008-05-27 3:54
帖子: 108
送出感谢: 0 次
接收感谢: 0 次
另外在以后软件源中去掉proposed和backport将不会出现类似现象,不过会因此得不到一些更新。因为那两个源是未经测试的。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:12 

注册: 2008-06-03 11:03
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
额..也删除了这两行

- -‘

还是这样,郁闷ing..

谢谢extinguish 真热心


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:15 

注册: 2008-05-27 3:54
帖子: 108
送出感谢: 0 次
接收感谢: 0 次
yysunny 写道:
额..也删除了这两行

- -‘

还是这样,郁闷ing..

谢谢extinguish 真热心

删除它在问题出现后是没用的,
在运行dist-upgrade时会提示说是什么软件发生冲突了,试试sudo dpkg -P XXX手动把它删掉,然后再sudo apt-get install XXX重装一次看看。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:27 

注册: 2008-06-03 11:03
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
yy@yy-desktop:~$ dist-upgrade
could not open file '/etc/apt/sources.list'
bash: dist-upgrade:找不到命令

无法读取源列表...


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-06-20 17:33 

注册: 2008-05-27 3:54
帖子: 108
送出感谢: 0 次
接收感谢: 0 次
yysunny 写道:
yy@yy-desktop:~$ dist-upgrade
could not open file '/etc/apt/sources.list'
bash: dist-upgrade:找不到命令

无法读取源列表...

是sudo apt-get dist-upgrade
anyway, 按运行sudo apt-get install -f 后出现的错误提示做吧。就是sudo dpkg -P XXX
还不行就把错误提示贴出来等高手解决好了


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-06-20 20:52 
头像

注册: 2007-10-06 18:40
帖子: 4313
送出感谢: 0 次
接收感谢: 5
sudo aptitude -f install


_________________
E=m c^2


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译